Page MenuHomePhabricator

LinksUpdate::acquirePageLock error with SMW enabled
Closed, ResolvedPublic

Description

The job queue for wikitech currently has 119663 entries, decreasing only very slowly (if at all; https://wikitech.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics):

{
    "batchcomplete": "",
    "query": {
        "statistics": {
            "pages": 18891,
            "articles": 423721,
            "edits": 1480360,
            "images": 299,
            "users": 9062,
            "activeusers": 145,
            "admins": 29,
            "jobs": 119663,
            "queued-massmessages": 0
        }
    }
}

Event Timeline

scfc created this task.Dec 19 2016, 7:23 AM
Legoktm triaged this task as Unbreak Now! priority.Dec 19 2016, 7:28 AM
Legoktm added a subscriber: Legoktm.
legoktm@terbium:~$ mwscript runJobs.php --wiki=labswiki --maxjobs=5
Warning: Memcached::touch(): touch is only supported with binary protocol in /srv/mediawiki/php-1.29.0-wmf.6/includes/libs/objectcache/MemcachedPeclBagOStuff.php on line 253
2016-12-19 07:26:39 refreshLinksPrioritized Nova_Resource:Dannyb-test.wildcat.eqiad.wmflabs rootJobTimestamp=20161219050048 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=993580 requestId=bcae8571cd248d03451bbcc7 (id=25001860,timestamp=20161219050048) STARTING
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Dannyb-test.wildcat.eqiad.wmflabs rootJobTimestamp=20161219050048 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=993580 requestId=bcae8571cd248d03451bbcc7 (id=25001860,timestamp=20161219050048) t=592 error=DBUnexpectedError: LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData).
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Shaved-yak.mediawiki-core-team.eqiad.wmflabs rootJobTimestamp=20161219050032 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=993621 requestId=bcae8571cd248d03451bbcc7 (id=25001773,timestamp=20161219050032) STARTING
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Shaved-yak.mediawiki-core-team.eqiad.wmflabs rootJobTimestamp=20161219050032 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=993621 requestId=bcae8571cd248d03451bbcc7 (id=25001773,timestamp=20161219050032) t=357 error=DBUnexpectedError: LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData).
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Tools-elastic-03.tools.eqiad.wmflabs rootJobTimestamp=20161219060117 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=994117 requestId=bcae8571cd248d03451bbcc7 (id=25002803,timestamp=20161219060117) STARTING
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Tools-elastic-03.tools.eqiad.wmflabs rootJobTimestamp=20161219060117 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=994117 requestId=bcae8571cd248d03451bbcc7 (id=25002803,timestamp=20161219060117) t=124 error=DBUnexpectedError: LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData).
2016-12-19 07:26:40 refreshLinksPrioritized Nova_Resource:Captcha-apiproxy-03.privpol-captcha.eqiad.wmflabs rootJobTimestamp=20161219050057 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=994332 requestId=bcae8571cd248d03451bbcc7 (id=25001932,timestamp=20161219050057) STARTING
2016-12-19 07:26:41 refreshLinksPrioritized Nova_Resource:Captcha-apiproxy-03.privpol-captcha.eqiad.wmflabs rootJobTimestamp=20161219050057 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=994332 requestId=bcae8571cd248d03451bbcc7 (id=25001932,timestamp=20161219050057) t=141 error=DBUnexpectedError: LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData).

Looks like the jobs are just failing? And if they fail enough, they'll get thrown away (abandoned)...

legoktm@terbium:~$ mwscript showJobs.php --wiki=labswiki --group
deleteLinks: 0 queued; 13 claimed (0 active, 13 abandoned); 0 delayed
refreshLinksPrioritized: 518 queued; 110726 claimed (1131 active, 109595 abandoned); 0 delayed
categoryMembershipChange: 0 queued; 8150 claimed (42 active, 8108 abandoned); 0 delayed
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptDec 19 2016, 7:28 AM
scfc added a comment.Dec 20 2016, 3:46 AM

Question of understanding:

2016-12-19 07:26:41 refreshLinksPrioritized Nova_Resource:Captcha-apiproxy-03.privpol-captcha.eqiad.wmflabs rootJobTimestamp=20161219050057 useRecursiveLinksUpdate= triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=994332 requestId=bcae8571cd248d03451bbcc7 (id=25001932,timestamp=20161219050057) t=141 error=DBUnexpectedError: LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData).

means that these writes are pending "in" the job, i. e. the job runner calls via parser hooks something in Semantic MediaWiki and then that does something not correctly? Is there an indication when these errors started?

bd808 added a subscriber: aaron.Dec 20 2016, 4:19 AM

I would guess sometime around the introduction of https://gerrit.wikimedia.org/r/#/c/305453/ . The exact error message has changed since then, but that was when the protective check was put in. The version of SMW that we run is ancient and likely needs to be patched for the changes to db integrity that @aaron has been doing over the last year. (Or we need to hurry up and get rid of the use of SMW on wikitech.)

bd808 added a comment.Jan 5 2017, 4:27 AM

I forgot about this problem and then found it again today when trying to add some new category links on Wikitech.

$ mwscript showJobs.php --wiki=labswiki --group
refreshLinksPrioritized: 5 queued; 98909 claimed (1528 active, 97381 abandoned); 0 delayed
categoryMembershipChange: 0 queued; 5454 claimed (82 active, 5372 abandoned); 0 delayed
Krenair added a subscriber: Krenair.Jan 6 2017, 4:05 PM

Change 331111 had a related patch set uploaded (by BryanDavis):
Make RefreshLinksJob handle LinksUpdateConstructed hooks doing DB writes

https://gerrit.wikimedia.org/r/331111

Change 331111 merged by jenkins-bot:
Make RefreshLinksJob handle LinksUpdateConstructed hooks doing DB writes

https://gerrit.wikimedia.org/r/331111

Cavila added a subscriber: Cavila.Jan 8 2017, 8:42 PM

Experiencing the same issue following an upgrade to MW 1.28 (on a Windows machine). The version of SMW I'm using is recent, however (2.4.4).

DBUnexpectederror: LinksUpdate::acquirePageLock: Cannot flush pre-lock napshot because writes are pending (SMW\SQLStore\QueryEngine\HierarchyTempTableBuilder::buildTempTableFor, SMW\SWLStore\QueryEngine\HierarchyTempTableBuilder
...
[and a lot of repetition from this point onwards]

This is following a runJobs for refreshLinks, which gets interrupted and needs to be rerun before another interruption occurs - incidentally, making it impossible to update all displaytitles.

Will the patch be released for 1.28?

Change 331326 had a related patch set uploaded (by BryanDavis):
Make RefreshLinksJob handle LinksUpdateConstructed hooks doing DB writes

https://gerrit.wikimedia.org/r/331326

bd808 added a comment.Jan 9 2017, 5:18 PM

Will the patch be released for 1.28?

I've posted a backport at https://gerrit.wikimedia.org/r/331326 but we should probably make sure that it fixes the problem on Wikitech before merging.

bd808 renamed this task from Job queue has 119663 entries to LinksUpdate::acquirePageLock error with SMW enabled.Jan 9 2017, 5:20 PM
Cavila added a comment.Jan 9 2017, 9:00 PM

okay, thanks for working on this

scfc added a comment.Jan 18 2017, 11:05 PM

If I understand https://wikitech.wikimedia.org/wiki/Special:Version correctly, @bd808's patch has now been deployed. However, the job queue length at https://wikitech.wikimedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics does not seem to decrease (significantly), hovering over 106500. Is the error "LinksUpdate::acquirePageLock: Cannot flush pre-lock snapshot because writes are pending (SMWStore::updateData)" still happening?

silver:~
bd808$ mwscript showJobs.php --wiki=labswiki --group
htmlCacheUpdate: 20 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
recentChangesUpdate: 2 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
refreshLinksPrioritized: 22 queued; 100072 claimed (0 active, 100072 abandoned); 0 delayed
categoryMembershipChange: 9 queued; 6153 claimed (238 active, 5915 abandoned); 0 delayed

There are a lot of abandoned jobs still. Those were the ones that were failing earlier.

It looks like jobs are actually completing now. There are some other Notices that look like yet another problem we should fix.

silver:~
bd808$ mwscript runJobs.php --wiki=labswiki --maxjobs=5
2017-01-18 23:11:55 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492336.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231145 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346652 requestId=28d4cb178c43aecf5580468e (id=26280015,timestamp=20170118231146) STARTING
2017-01-18 23:11:56 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492336.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231145 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346652 requestId=28d4cb178c43aecf5580468e (id=26280015,timestamp=20170118231146) t=28 good
2017-01-18 23:11:56 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492351.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231140 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346650 requestId=28d4cb178c43aecf5580468e (id=26280011,timestamp=20170118231141) STARTING
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
2017-01-18 23:11:56 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492351.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231140 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346650 requestId=28d4cb178c43aecf5580468e (id=26280011,timestamp=20170118231141) t=809 good
2017-01-18 23:11:57 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492352.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231154 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346655 requestId=28d4cb178c43aecf5580468e (id=26280028,timestamp=20170118231154) STARTING
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 383
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
PHP Notice:  Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
Notice: Array to string conversion in /srv/mediawiki/php-1.29.0-wmf.8/extensions/SemanticMediaWiki/includes/storage/SQLStore/SMW_SQLStore3_Writers.php on line 384
2017-01-18 23:11:57 refreshLinksPrioritized Nova_Resource:Ci-jessie-wikimedia-492352.contintcloud.eqiad.wmflabs rootJobTimestamp=20170118231154 useRecursiveLinksUpdate=1 triggeringUser={"userId":55,"userName":"Labslogbot"} triggeringRevisionId=1346655 requestId=28d4cb178c43aecf5580468e (id=26280028,timestamp=20170118231154) t=484 good
2017-01-18 23:11:57 cirrusSearchDeletePages Nova_Resource:Ci-jessie-wikimedia-492336.contintcloud.eqiad.wmflabs docId=350240 cluster= requestId=1d3a664b5ed112e1a793c5f3 (id=26280023,timestamp=20170118231149) STARTING
2017-01-18 23:11:57 cirrusSearchDeletePages Nova_Resource:Ci-jessie-wikimedia-492336.contintcloud.eqiad.wmflabs docId=350240 cluster= requestId=1d3a664b5ed112e1a793c5f3 (id=26280023,timestamp=20170118231149) t=255 good
2017-01-18 23:11:58 EchoNotificationDeleteJob Nova_Resource:Contintcloud userIds={"49":49} requestId=28d4cb178c43aecf5580468e (id=26280032,timestamp=20170118231156) STARTING
2017-01-18 23:11:58 EchoNotificationDeleteJob Nova_Resource:Contintcloud userIds={"49":49} requestId=28d4cb178c43aecf5580468e (id=26280032,timestamp=20170118231156) t=48 good
scfc added a comment.Jan 19 2017, 3:14 PM

The job queue seems to be steadily decreasing now; @bd808 (thank you), do you want to call this task resolved and file new tasks for the remaining notices?

bd808 closed this task as Resolved.Jan 19 2017, 6:20 PM
bd808 claimed this task.

New jobs seem to be moving through the queue. There are a still a large number of "abandoned" jobs that are showing in the database. These are jobs that failed 3 times previously. These will eventually age out and be deleted from the database.

Yesterday I resubmitted all of the categoryMembershipChange that were marked as abandoned. Most of them have failed out again because they involved pages that have now been deleted from the wiki. I think these are Nova resource instance pages for VMs that the CI project creates and then deletes via nodepool.

silver:~
bd808$ mwscript showJobs.php --wiki=labswiki --group
deleteLinks: 1 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
htmlCacheUpdate: 5 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
recentChangesUpdate: 2 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
refreshLinksPrioritized: 2 queued; 88737 claimed (0 active, 88737 abandoned); 0 delayed
categoryMembershipChange: 2 queued; 6786 claimed (161 active, 6625 abandoned); 0 delayed
cirrusSearchDeletePages: 1 queued; 0 claimed (0 active, 0 abandoned); 0 delayed
Restricted Application added a project: User-bd808. · View Herald TranscriptJan 19 2017, 6:20 PM

Change 331326 merged by jenkins-bot:
Make RefreshLinksJob handle LinksUpdateConstructed hooks doing DB writes

https://gerrit.wikimedia.org/r/331326

Kghbln added a subscriber: Kghbln.Mar 9 2017, 5:55 PM